export declare class Option {
    value: string;
    label: string;
    tag?: any;
    label2?: string;
    disabled: boolean;
    highlighted: boolean;
    selected: boolean;
    shown: boolean;
    order: number;
    originalOrder: number;
    constructor(value: string, label: string, tag?: any, label2?: string);
    show(): void;
    hide(): void;
    disable(): void;
    enable(): void;
    undecoratedCopy(): {
        label: string;
        value: string;
        tag: any;
        label2: string;
    };
}
